Create Merchant Retry

Use this API to retry mandate execution for a subscription when it is in the DEBIT FAILED stage. You can retry up to three times after all automatic retries have been exhausted.

📘

Note

  • Up to 3 retry attempts are allowed. Retries can be made only if is_merchant_retry is set to true in the Create Debit API.
Body Params
string

Either presentation_id or merchant_presentation_reference is Mandatory.

A Unique identifier for the presentation provided by the Pine Labs Online.

  • Maximum length: 50 characters.
Example: v1-pre-4405071524-aa-qlAtAf

string

Either presentation_id or merchant_presentation_reference is Mandatory.

Unique identifier of the merchant presentation reference entered while creating a presentation.

  • Minimum length: 1 character.
  • Maximum length: 50 characters.
Example: 1234567890

Headers
string
Defaults to application/json

The type of content included in the HTTP message body.

Possible value: application/json.

string
required
Defaults to Bearer

The HTTP header where you can include your secret token for authentication.

Example: Bearer <access_token>

Note: Use the access token generated using our Generate Token API.

string

Use ISO 8601 UTC Timestamp, to create a timestamp when the generate token is requested.

Example: 2024-07-09T07:57:08.022Z

string

Use a global unique identifier [GUID] for the request.

  • Minimum: 1 characters.
  • Maximum: 50 characters
Example: c17ce30f-f88e-4f81-ada1-c3b4909ed235

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
Ask AI
Assistant
Order Lifecycle
Refunds
Settlements
Checkout
Dashboard
International Payments
How do I implement webhook notifications for payment status updates, and what's the recommended way to verify webhook authenticity?
How do I integrate Pine Labs payment gateway with my React Native mobile app and what are the required API credentials?
Can I customize the payment UI for card transactions, and what parameters can I pass to modify the checkout experience for my customers?
Assistant